Summary: Distributed SSL session cache
Name: distcache
Version: 1.4.5
Release: 3tr
License: LGPL
Group: Trustix Official
Source0: %{name}-%{version}.tar.bz2
Source1: dc-server.init
Source2: dc-client.init
Patch0: distcache-1.4.5-setuid.patch
URL: http://www.distcache.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openssl-devel
Prereq: chkconfig, tsl-utils

%description
The distcache package provides a variety of functionality for
enabling a network-based session caching system, primarily for
(though not restricted to) SSL/TLS session caching.

%package devel
Summary: Development tools for distcache distributed session cache
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
This package includes the libraries that implement the necessary
network functionality, the session caching protocol, and APIs for
applications wishing to use a distributed session cache, or indeed
even to implement a storage mechanism for a session cache server.

%prep
%setup -q
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %configure --enable-shared
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT
make -C ssl install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 $RPM_SOURCE_DIR/dc-server.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dc_server
install -m 755 $RPM_SOURCE_DIR/dc-client.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dc_client

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_bindir}/{nal_test,piper}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%pre
if [ -z "`getent passwd distcache`" ] ; then
    /usr/sbin/useradd -c "Distcache" -u 93 \
	-s /sbin/nologin -r -d / distcache 2> /dev/null || :
fi

%post
/sbin/ldconfig
/sbin/chkconfig --add dc_server
/sbin/chkconfig --add dc_client
# Restart service after upgrade
/sbin/restart_maybe radiusd

%preun
if [ "$1" = "0" ]; then
        /sbin/service dc_server stop > /dev/null 2>&1
        /sbin/service dc_client stop > /dev/null 2>&1
        /sbin/chkconfig --del dc_server
        /sbin/chkconfig --del dc_client
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/sslswamp
%{_bindir}/dc_*
%{_sysconfdir}/init.d/dc_*
%doc ANNOUNCE CHANGES README LICENSE FAQ
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/swamp

%files devel
%defattr(-,root,root,-)
%{_includedir}/distcache
%{_includedir}/libnal
%{_libdir}/*.*a
%{_libdir}/*.so
%{_mandir}/man2/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Aug 10 2006 Nived Gopalan <nived at trustix dot org> 1.4.5-2tr
- Added PreReq chkconfig and tsl-utils.

* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.4.5-1tr
- Initial Spec for TSL-3.0 Official


